Subject: Re: Availability of CYGWIN
From: [email-masked] (Xavier Llamas)

28 Jan 1997 17:41:12 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]> <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.0 (WinNT; I)
Original-To: [email-masked]
Original-Sender: [email-masked]

Anders Lindgren wrote:
> 
> Hi!
> 
> Geoffery Noer <[email-masked]> wrote:
> > We plan to always make it freely available under the terms of the GPL.
> 
> Have you ever considered to release the CygWin library under the GNU
> _Library_ General Public License (The LGPL) while keeping all the
> tools under the GPL? (*)
> 
> In my opinion, this is the logical choice since it would ensure the
> CynWin system would be free, at the same time as anybody could be able
> to use the development tools to produce real (even commercial)
> programs.
> 
> As the situation is today, to people outside Cygnus, the CygWin tools
> are only of interest when they have no ambition what-so-ever to write
> a commercial program.  In other words, it's a cool _toy_.
> 
> In fact, in the UNIX environment, GCC (and all other GNU tools) are
> covered by the GPL, while the standard C library (roughly corresponding
> to cynwin.dll) is covered by the LGPL.
> 
> (*) The GNU Library GPL is similar to the normal GPL.  The only main
> difference is that a library that is covered by the LGPL could be used
> in any project (even commercial), if it is possible for the user up
> upgrade the library.
> 

I adhere to this view. Under the current license terms I won't be able
to
use CygWin for my project :(

Xavier.

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".